#include<bits/stdc++.h>
using namespace std;
#define endl '\n'
long long N,a,b,seg,pred,temp;
long long novo(long long,long long);
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(nullptr);
    cout.tie(nullptr);

    cin>>N>>a>>b;

    pred=a;
    seg=b;
    for(int i=2; i<N; i++)
    {
        temp=seg;
        seg=novo(pred,seg);
        pred=temp;
        cout<<seg<<" ";
    }
    cout<<seg<<endl;
    return 0;
}
long long novo(long long p, long long k)
{
    long long n,n1,stepen=1;
    n=p*k;
    n1=n;
    while(n1!=0 or stepen<4)
    {
        if((n/stepen)%10!=0) n-=stepen;
        else
        {
            n+=(stepen*90)/10;
        }
        n1/=10;
        stepen*=10;
    }
    return n%1000;
}
